CVE-2005-3552
CVSS4.3
发布时间 :2005-11-16 02:42:00
修订时间 :2011-09-13 00:00:00
NMCO    

[原文]Multiple cross-site scripting (XSS) vulnerabilities in PHPKIT 1.6.1 R2 and earlier allow remote attackers to inject arbitrary web script or HTML via multiple vectors in (1) login/profile.php, (2) login/userinfo.php, (3) admin/admin.php, (4) imcenter.php, and the (5) referer statistics, the (6) HTML title element and (7) logo alt attributes in forum postings, and the (8) Homepage field in the Guestbook.


[CNNVD]PHPKIT多个跨站脚本漏洞(CNNVD-200511-218)

        PHPKIT是一款基于WEB的消息论坛系统。
        PHPKIT 1.6.1 R2及更早版本中的多个跨站脚本漏洞,可让远程攻击者通过以下方式注入任意Web脚本或HTML:(1) login/profile.php、(2) login/userinfo.php、(3) admin/admin.php和(4) imcenter.php中的多个矢量,以及(5)引用站点统计信息,(6) HTML标题元素和(7)论坛发布中的徽标alt属性,以及(8)Guestbook中的主页字段。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: MEDIUM [漏洞利用存在一定的访问条件]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CWE (弱点类目)

CWE-79 [在Web页面生成时对输入的转义处理不恰当(跨站脚本)]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3552
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3552
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200511-218
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/23009
(UNKNOWN)  XF  phpkit-guestbook-xss(23009)
http://xforce.iss.net/xforce/xfdb/23008
(UNKNOWN)  XF  phpkit-imcenter-xss(23008)
http://xforce.iss.net/xforce/xfdb/23007
(UNKNOWN)  XF  phpkit-html-tags-xss(23007)
http://xforce.iss.net/xforce/xfdb/23006
(UNKNOWN)  XF  phpkit-referer-xss(23006)
http://xforce.iss.net/xforce/xfdb/23004
(UNKNOWN)  XF  phpkit-admin-xss(23004)
http://xforce.iss.net/xforce/xfdb/23003
(UNKNOWN)  XF  phpkit-profile-userinfo-xss(23003)
http://www.vupen.com/english/advisories/2005/2344
(VENDOR_ADVISORY)  VUPEN  ADV-2005-2344
http://www.securityfocus.com/bid/15354
(UNKNOWN)  BID  15354
http://www.osvdb.org/20559
(UNKNOWN)  OSVDB  20559
http://www.osvdb.org/20558
(UNKNOWN)  OSVDB  20558
http://www.osvdb.org/20557
(UNKNOWN)  OSVDB  20557
http://www.osvdb.org/20556
(UNKNOWN)  OSVDB  20556
http://www.osvdb.org/20555
(UNKNOWN)  OSVDB  20555
http://www.osvdb.org/20554
(UNKNOWN)  OSVDB  20554
http://www.osvdb.org/20553
(UNKNOWN)  OSVDB  20553
http://www.hardened-php.net/advisory_212005.80.html
(VENDOR_ADVISORY)  MISC  http://www.hardened-php.net/advisory_212005.80.html
http://securitytracker.com/id?1015167
(UNKNOWN)  SECTRACK  1015167
http://secunia.com/advisories/17479
(UNKNOWN)  SECUNIA  17479
http://cert.uni-stuttgart.de/archive/bugtraq/2005/11/msg00110.html
(UNKNOWN)  BUGTRAQ  20051105 Advisory 21/2005: Multiple vulnerabilities in PHPKIT

- 漏洞信息

PHPKIT多个跨站脚本漏洞
中危 跨站脚本
2005-11-16 00:00:00 2006-06-12 00:00:00
远程  
        PHPKIT是一款基于WEB的消息论坛系统。
        PHPKIT 1.6.1 R2及更早版本中的多个跨站脚本漏洞,可让远程攻击者通过以下方式注入任意Web脚本或HTML:(1) login/profile.php、(2) login/userinfo.php、(3) admin/admin.php和(4) imcenter.php中的多个矢量,以及(5)引用站点统计信息,(6) HTML标题元素和(7)论坛发布中的徽标alt属性,以及(8)Guestbook中的主页字段。

- 公告与补丁

        暂无数据

- 漏洞信息

20553
PHPKIT /login/profile.php Multiple Field XSS
Remote / Network Access Input Manipulation
Loss of Integrity

- 漏洞描述

PHPKIT contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate user-supplied input in the 'AIM Screename' and 'Yahoo! ID' fields upon submission to the '/login/profile.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2005-11-07 2005-09-30
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站